ubuntu one, crashes on start up and the details say it's an IPC error.

Bug #982754 reported by David on 2012-04-16
232
This bug affects 51 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Undecided
Unassigned
ubuntuone-client (Ubuntu)
Undecided
Unassigned

Bug Description

I had expected Ubuntu One to work properly, instead it crashes every time launched and the details say it's an IPCError.

REASON:
Ubuntu One is disabled using the previous Ubuntu One control panel and cannot be enabled (this is filed as LP bug #927572)

WORKAROUND:

Open ~/.config/ubuntuone/syncdaemon.conf and change files_sync_enabled = False to files_sync_enabled = True or remove the config file completely if you haven't changed any of the default settings (you will be able to configure these using the control panel)

David (dmwilson220) wrote :
Leo Arias (elopio) wrote :

Hi David,

We are sorry that Ubuntu One is not working for you. Thanks for your report, it helps us to improve.
I saw this error once, but couldn't reproduce it. Have you find a way to reproduce it? If so, please tell us the steps you are following. A screenshot would also be useful.
You will also find the application logs on your home folder > .cache/ubuntuone/log (In order to see the .cache folder you can press ctrl+h on nautilus). They might contain useful information to diagnose the proble. If so, please attach them and mark this bug as private.

Thanks again,
pura vida.

Changed in ubuntuone-control-panel (Ubuntu):
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
status: New → Incomplete
Igor A. Morikoff (morikoff) wrote :

I get the same error - IPCError.
Here's how it looks in the terminal window:

mia@ubuntu: ~$ ubuntuone-control-panel-qt
Unhandled error in Deferred:
Unhandled Error
Traceback (most recent call last):
Failure: ubuntuone.platform.tools.linux.IPCError: org.freedesktop.DBus.Error.UnknownMethod:
Unhandled error in Deferred:
Unhandled Error
Traceback (most recent call last):
Failure: ubuntuone.platform.tools.linux.IPCError: org.freedesktop.DBus.Error.UnknownMethod:
В текущем сеансе браузера создано новое окно.

(EN: In the current browser session set up a new window)
?field.comment=I get the same error.
Here's how it looks in the terminal window:

mia@ubuntu: ~$ ubuntuone-control-panel-qt
Unhandled error in Deferred:
Unhandled Error
Traceback (most recent call last):
Failure: ubuntuone.platform.tools.linux.IPCError: org.freedesktop.DBus.Error.UnknownMethod:
Unhandled error in Deferred:
Unhandled Error
Traceback (most recent call last):
Failure: ubuntuone.platform.tools.linux.IPCError: org.freedesktop.DBus.Error.UnknownMethod:
В текущем сеансе браузера создано новое окно.

(EN: In the current browser session set up a new window)

David (dmwilson220) wrote :

Here are the logs and I'll post the screenshot next.

David (dmwilson220) wrote :

And here is a screenshot for you as well.

Roman Yepishev (rye) wrote :

2012-04-15 23:32:14,987 - ubuntuone.SyncDaemon - WARNING - Files synchronization is disabled. - i see that the file sync is disabled.

Those who are affected by the bug, could you please check that you have ~/.config/ubuntuone/syncdaemon.conf and whether files_sync_enabled is False there. If it is, could you please try setting files_sync_enabled to True ?

David (dmwilson220) wrote :

Sorry it's taken me so long to get back to this. Busy day today.
Changing the value to True fixed it.
I wonder why it changed to False after the upgrade though?
At least it's a really easy fix.
Thank you for your help in fixing my Ubuntu One.

Tony Mugan (tmugan) wrote :

I have a similar issue.

The difference for me is that I am using likewise-open to login with a Windows domain user.

https://bugs.launchpad.net/ubuntu/+source/ubuntuone-client/+bug/983756

Roman Yepishev (rye) on 2012-04-21
description: updated
Changed in ubuntuone-control-panel (Ubuntu):
status: Incomplete → Confirmed
dobey (dobey) on 2012-04-23
description: updated
Leo Arias (elopio) on 2012-04-27
tags: added: desktop+
Changed in ubuntuone-control-panel (Ubuntu):
status: Confirmed → Triaged
Alex N. (a-nox) wrote :

got the same error while opening the ubuntu one folders panel. the error also showed up in controlpanel.log:

2012-05-01 14:02:48,479 - ubuntuone.controlpanel.qt.folders - ERROR - Error while invoking <bound method FoldersPanel.load of <ubuntuone.controlpanel.gui.qt.folders.FoldersPanel object at 0x8d77adc>> with args () and kwargs {}:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/ubuntuone-control-panel/ubuntuone/controlpanel/gui/qt/__init__.py", line 100, in inner
    res = yield f(*args, **kwargs)
IPCError: org.freedesktop.DBus.Error.NoReply:
2012-05-01 14:03:16,261 - ubuntuone.controlpanel.qt.folders - INFO - The warning dialog was shown and also closed (message was 'IPCError').

Alex N. (a-nox) wrote :

ok, i changed in ~/.config/ubuntuone/syncdaemon.conf the value of files_sync_enabled to True and now it works.

Alaak (alaak-gmx) wrote :

I get the same error but files_sync_enabled was already true.

Jani Uusitalo (uusijani) wrote :

u1sdtool is also affected, and for me setting files_sync_enabled to True also doesn't fix this.

jani@ritoru:~/.config/ubuntuone$ u1sdtool --status

Oops, an error ocurred:
org.freedesktop.DBus.Error.UnknownMethod:

Leo Arias (elopio) on 2012-05-07
description: updated
Mark Clarke (mxc4) wrote :

I had to re-install python-protobuf to get it working again

Tony Mugan (tmugan) wrote :

I've just installed the latest proposed version of ubuntu-one-client and it now works!!!

Just enable the "Proposed" repository in Syanptic package manager first and then reload and apply the upgrade.

Petr Kana (petr-kana) wrote :

I was affected by the same IPCError. It started to work after applying these easy steps:

1) Uninstall Ubuntu One (Ubuntu Software Centre or Synaptic)
2) Install Ubuntu Tweak:

sudo add-apt-repository ppa:tualatrix/ppa
sudo apt-get update
sudo apt-get install ubuntu-tweak

3) Use Janitor to clean old kernel, caches redundant files...
4) Install Ubuntu One again (Ubuntu Software Centre or Synaptic)

Regards, Petr

Ben256xp (ben-xp) wrote :

This error can also come from rights of reading and writing of the file home. Verify if the rights are correctly configured (in particular ~ / .config / ubuntuone).

Musa Ibraheem (musa-ibraheem) wrote :

Maybe I'm a complete idiot, but when I try to open the workaround .config file, it gives me error messages in Leafpad (I'm running Lubuntu 12.10), it's blank in gedit, and when I try to run Ubuntu One (u1sdtool) in the terminal, it won't open:

musa@Mawhrin-Skel:~$ sudo u1sdtool --start
[sudo] password for musa:

Oops, an error ocurred:
org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
musa@Mawhrin-Skel:~$

Why me? Please show me what I did wrong. Sorry, I don't have unlimited time to perfect my terminal skills, and I'm not an IT major in college. I'm just an ordinary lost Linux user. I'm also going to try Petr Kana's uninstall/Ubuntu Tweak fix, or Tony Mugan's fix next.

Ohadcn (ohadcn) wrote :

musa: no need to run ubuntuone as root (no need for sudo)
do you have any external firewall? this may block ubuntuone from connecting the internet

Evgeny Kuznetsov (irockezio) wrote :

Problem was solved: I just created a configuration file "~ / .config / ubuntuone / syncdaemon.conf"

Patrick Brueckner (madmuffin) wrote :

The workarounds described here do not work for me.

I cannot enable syncing my Ubuntu One folders on my new computer. I tried deleting the file and and changing its values. But that made no difference. Please fix this quickly!

My System: Ubuntu 12.10 64bit

Voidcode (terkelsorensen) wrote :

madmuffin.
My system: Ubuntu 12.10 64bit (aspire 5750)

I got the "IPC error" with Ubuntu One Panel.

 u1sdtool --status ... says:
State: LOCAL_RESCAN
    connection: With User With Network
    description: doing local rescan
    is_connected: False
    is_error: False
    is_online: False
    queues: WORKING

1)
I just try make an new 'syncdaemon.conf' file:
gedit ~/.config/ubuntuone/syncdaemon.conf

2)
Then I add this to the new file:
files_sync_enabled=True

3)
Save the file.

4)
Relaunch the Ubuntu One Panel....

And after this I do not get the "IPC error"..

Voidcode (terkelsorensen) wrote :

UPDATE
After I restart my laptop then I got the "IPC error" agin :-(

christian (chmathieu) wrote :

same problem width a fresh install 13.04

christian (chmathieu) wrote :

edit: my controlpanel.log

In windows, I've got the same problem, and i fixed it just copying the folders in C:\ProgramData\ubuntuone and C:\ProgramData\ubuntuone-storageprotocol to C:\Users\[Your-user]\AppData\Local.

christian (chmathieu) wrote :

after the update Wednesday, with the following operations:
 - delete ~/.config/ubuntuone
 - delete ~/.cache/ubuntuone
 - delete ~/.local/share/ubuntuone
 - Uninstall ubuntuone
 - reboot
 - Install ubuntuone

it works again. . .

bwat47 (bwat47) wrote :

this happens at random for me, and starts working again when I reboot. Very annoying, because when this happens as a side effect it takes nautilus to take forever to open the home folder and uses lots of cpu.

Jorge Morais (jorgemorais) wrote :

This began affecting me since yesterday or today (don't remember).

The following workarounds do _not_ work:

1) Remove Ubuntu One config files
2) Reinstall python-protobuf

Is there any way I can help? I have medium-level Linux skills.

dobey (dobey) wrote :

To anyone else who thinks they may be encountering this issue; please open new bug reports filed with "ubuntu-bug ubuntuone-client" so that we may determine if it is the same issue or not.

affects: ubuntuone-control-panel (Ubuntu) → ubuntuone-client (Ubuntu)
Changed in ubuntuone-client (Ubuntu):
assignee: Ubuntu One Client Engineering team (ubuntuone-client-engineering) → nobody
dobey (dobey) wrote :

I'm setting this bug to Invalid, because the original reporter's issue was resolved, and it was due to a configuration setting. If anyone else thinks they are having the same bug, please file a new bug report with your own relevant log data, so that we can properly determine the problems individually, as they may not all be the same issue.

Changed in ubuntuone-client (Ubuntu):
status: Triaged → Invalid
Download full text (4.8 KiB)

After spending two days trying to solve this issue I finally found the problem and felt it important to notify the community what I found. First I thought the problem was a bug in Ubuntu one, so I took these steps:

I dropped to console and did:

gedit ~/.config/ubuntuone/syncdaemon.conf

files_sync_enabled=True

Saved syncdaemon.conf.

sudo apt-get remove ubuntuone-control-panel-qt
sudo apt-get purge ubuntuone-control-panel-qt
rm -R ~/.config/ubuntuone
rm -R ~/.cache/ubuntuone
rm -R ~/.local/share/ubuntuone
sudo add-apt-repository ppa:tualatrix/ppa
sudo apt-get update
sudo apt-get install ubuntu-tweak
Used Ubuntu Tweak Janitor to clean old kernel,caches redundant files, etc.
sudo reboot
sudo apt-get install --reinstall python-protobuf
sudo apt-get install ubuntuone-control-panel-qt

Launched Ubuntu One, and yes, same problem IPCError after 20 seconds. I was angry since I spent over 2 days going through all the scenarios. Finally I thought to check Ubuntu One through the web interface, this is what I found:

Launched Mozilla, logged into https://one.ubuntu.com/files/ and thought "maybe we have a problem with one of the folders..." and since I have redundant backups I decided to remove every folder, so I began to click on the "More" tab and selected "Stop syncing this folder" to each folder, everything was going great until I got to one of my folders named "~/Downloads" - this bugger would stall when I clicked on "Stop syncing this folder" and never disappear. Finally after trying several times I triggered an error in Ubuntu One noticed a little pop-up "An error has occurred. Our engineers have been notified and we will work to fix this". Ahhh, I thought, now we are getting somewhere! So I began to select "Delete folder" inside of the main folder named "~/Downloads", this was tedious but at this point what did I have to loose, another day of time lost, why not? I noticed many times Ubuntu One web interface would stall, almost freeze but I kept diligently removing folder by folder. After 1.5 hours passed, I was down to two folders that would not delete but I kept clicking on "Delete Folder" until the system got the idea and deleted the folder.

In the end I spent almost all day (again) trying to solve this issue and concluded Ubuntu One has a serious Bug with the Ubuntu One system itself, not the client. The system has a real hard time dealing with:

1. Deep files like the example below:
My Storage / ~/Downloads / Zimbra / zdesktop_7_2_1_ga_b11637_linux_i686 / jetty / work / zimbra / jsp / org / apache / jsp / desktop
I was not able to delete the folder "Zimbra" even though was only 400KB inside the folders at the end "desktop". I had to delete all the files in "desktop" then I was able to delete "desktop" then "jsp" then "apache" then "org" until I got to "Zimbra" then I was able to delete the folder named "Zimbra".

Then I moved onto another deep folder. I was unable to delete a folder named Typo3 and when I looked inside I noticed the same issue as the above example.

1. Another deep file:
My Storage / ~/Downloads / Typo3 / introductionpackage-6.0.2 / typo3 / sysext
I was not able to delete the folder named "Typo3", I had to remove 36 fol...

Read more...

Dave Morley (davmor2) on 2013-08-13
tags: added: u1-notrack
rod singleton (rod40cool) wrote :

Thanks Christian. Your steps to clear out local U1 folders and re-install the client has fixed it for me in Saucy.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers